### Hierarchy

- Slider

### Implements

- AfterViewInit
- ControlValueAccessor

## Index

### Inputs

- disableArrowKeys
- id
- label
- shiftMultiplier
- skeleton
- step
- disabled
- max
- min
- value

### Outputs

- valueChange

### Constructors

- constructor

### Properties

- _disabled
- _focusedThumbIndex
- _max
- _min
- _previousValue
- _value
- bottomRangeId
- disableArrowKeys
- elementRef
- eventService
- filledTrack
- fractionComplete
- hostClass
- id
- inputs
- isMouseDown
- label
- labelId
- range
- shiftMultiplier
- skeleton
- step
- thumbs
- topRangeId
- track
- valueChange
- count

### Accessors

- disabled
- max
- min
- value

### Methods

- convertToPx
- convertToValue
- decrementValue
- getFractionComplete
- getInputs
- incrementValue
- isRange
- isTemplate
- ngAfterViewInit
- onChange
- onClick
- onFocus
- onKeyDown
- onMouseDown
- onMouseMove
- onMouseUp
- onTouched
- propagateChange
- registerOnChange
- registerOnTouched
- scaleX
- trackThumbsBy
- updateTrackRangeWidth
- writeValue

## Constructors

### constructor

- new Slider(elementRef: ElementRef, eventService: EventService): Slider

- - Defined in src/slider/slider.component.ts:284

  #### Parameters

  - ##### elementRef: ElementRef

  - ##### eventService: EventService

  #### Returns Slider

## Properties

### Protected _disabled

_disabled: boolean = false

- Defined in src/slider/slider.component.ts:283

### Protected _focusedThumbIndex

_focusedThumbIndex: number = 0

- Defined in src/slider/slider.component.ts:284

### Protected _max

_max: number = 100

- Defined in src/slider/slider.component.ts:280

### Protected _min

_min: number = 0

- Defined in src/slider/slider.component.ts:279

### Protected _previousValue

_previousValue: number[] = [this.min]

- Defined in src/slider/slider.component.ts:282

### Protected _value

_value: number[] = [this.min]

- Defined in src/slider/slider.component.ts:281

### bottomRangeId

bottomRangeId: string = `${this.id}-bottom-range`

- Defined in src/slider/slider.component.ts:273

### disableArrowKeys

@Input()
disableArrowKeys: boolean = false

- Defined in src/slider/slider.component.ts:247

### Protected elementRef

elementRef: ElementRef

- Defined in src/slider/slider.component.ts:286

### Protected eventService

eventService: EventService

- Defined in src/slider/slider.component.ts:286

### filledTrack

@ViewChild({"selector":"filledTrack","opts":"{ static: false }"})
filledTrack: ElementRef

- Defined in src/slider/slider.component.ts:268

### fractionComplete

fractionComplete: number = 0

- Defined in src/slider/slider.component.ts:275

### hostClass

@HostBinding({"hostPropertyName":"class.bx--form-item"})
hostClass: boolean = true

- Defined in src/slider/slider.component.ts:263

### id

@Input()
id: string = `slider-${Slider.count++}`

- Defined in src/slider/slider.component.ts:239

### Protected inputs

inputs: HTMLInputElement[]

- Defined in src/slider/slider.component.ts:278

### Protected isMouseDown

isMouseDown: boolean = false

- Defined in src/slider/slider.component.ts:277

### label

@Input()
label: string | TemplateRef<any>

- Defined in src/slider/slider.component.ts:245

### labelId

labelId: string = `${this.id}-label`

- Defined in src/slider/slider.component.ts:272

### range

@ViewChild({"selector":"range","opts":"{ static: false }"})
range: ElementRef

- Defined in src/slider/slider.component.ts:270

### shiftMultiplier

@Input()
shiftMultiplier: number = 4

- Defined in src/slider/slider.component.ts:241

### skeleton

@Input()
skeleton: boolean = false

- Defined in src/slider/slider.component.ts:243

### step

@Input()
step: number = 1

- Defined in src/slider/slider.component.ts:168

### thumbs

@ViewChildren({"selector":"thumbs"})
thumbs: QueryList<ElementRef>

- Defined in src/slider/slider.component.ts:264

### topRangeId

topRangeId: string = `${this.id}-top-range`

- Defined in src/slider/slider.component.ts:274

### track

@ViewChild({"selector":"track","opts":"{ static: false }"})
track: ElementRef

- Defined in src/slider/slider.component.ts:266

### valueChange

@Output()
valueChange: EventEmitter<number | number[]> = new EventEmitter()

- Defined in src/slider/slider.component.ts:262

### Static Private count

count: number = 0

- Defined in src/slider/slider.component.ts:144

## Accessors

### disabled

@Input()
disabled:

- Defined in src/slider/slider.component.ts:249
- Defined in src/slider/slider.component.ts:258

### max

@Input()
max:

- Defined in src/slider/slider.component.ts:157
- Defined in src/slider/slider.component.ts:164

### min

@Input()
min:

- Defined in src/slider/slider.component.ts:147
- Defined in src/slider/slider.component.ts:153

### value

@Input()
value:

- Defined in src/slider/slider.component.ts:170
- Defined in src/slider/slider.component.ts:231

## Methods

### convertToPx

- convertToPx(value: any): any

- - Defined in src/slider/slider.component.ts:372

  #### Parameters

  - ##### value: any

  #### Returns any

### convertToValue

- convertToValue(pxAmount: any): number

- - Defined in src/slider/slider.component.ts:361

  #### Parameters

  - ##### pxAmount: any

  #### Returns number

### decrementValue

- decrementValue(multiplier?: number, index?: number): void

- - Defined in src/slider/slider.component.ts:405

  #### Parameters

  - ##### Default value multiplier: number = 1

  - ##### Default value index: number = 0

  #### Returns void

### getFractionComplete

- getFractionComplete(value: number): number

- - Defined in src/slider/slider.component.ts:346

  #### Parameters

  - ##### value: number

  #### Returns number

### Protected getInputs

- getInputs(): HTMLInputElement[]

- - Defined in src/slider/slider.component.ts:520

  #### Returns HTMLInputElement[]

### incrementValue

- incrementValue(multiplier?: number, index?: number): void

- - Defined in src/slider/slider.component.ts:395

  #### Parameters

  - ##### Default value multiplier: number = 1

  - ##### Default value index: number = 0

  #### Returns void

### isRange

- isRange(): boolean

- - Defined in src/slider/slider.component.ts:413

  #### Returns boolean

### isTemplate

- isTemplate(value: any): boolean

- - Defined in src/slider/slider.component.ts:515

  #### Parameters

  - ##### value: any

  #### Returns boolean

### ngAfterViewInit

- ngAfterViewInit(): void

- - Defined in src/slider/slider.component.ts:288

  #### Returns void

### onChange

- onChange(event: any, index: any): void

- - Defined in src/slider/slider.component.ts:428

  #### Parameters

  - ##### event: any

  - ##### index: any

  #### Returns void

### onClick

- onClick(event: any): void

- - Defined in src/slider/slider.component.ts:434

  #### Parameters

  - ##### event: any

  #### Returns void

### onFocus

- onFocus(__namedParameters: object): void

- - Defined in src/slider/slider.component.ts:442

  #### Parameters

  - ##### __namedParameters: object

    - ##### target: any

  #### Returns void

### onKeyDown

- onKeyDown(event: KeyboardEvent, index?: number): void

- - Defined in src/slider/slider.component.ts:499

  #### Parameters

  - ##### event: KeyboardEvent

  - ##### Default value index: number = 0

  #### Returns void

### onMouseDown

- onMouseDown(event: any, index?: number): void

- - Defined in src/slider/slider.component.ts:481

  #### Parameters

  - ##### event: any

  - ##### Default value index: number = 0

  #### Returns void

### onMouseMove

- onMouseMove(event: any): void

- - Defined in src/slider/slider.component.ts:447

  #### Parameters

  - ##### event: any

  #### Returns void

### onMouseUp

- onMouseUp(): void

- - Defined in src/slider/slider.component.ts:490

  #### Returns void

### onTouched

- onTouched(): void

- - Defined in src/slider/slider.component.ts:331

  #### Returns void

### propagateChange

- propagateChange(_: any): void

- - Defined in src/slider/slider.component.ts:323

  #### Parameters

  - ##### _: any

  #### Returns void

### registerOnChange

- registerOnChange(fn: any): void

- - Defined in src/slider/slider.component.ts:326

  #### Parameters

  - ##### fn: any

  #### Returns void

### registerOnTouched

- registerOnTouched(fn: any): void

- - Defined in src/slider/slider.component.ts:334

  #### Parameters

  - ##### fn: any

  #### Returns void

### scaleX

- scaleX(complete: any): string

- - Defined in src/slider/slider.component.ts:356

  #### Parameters

  - ##### complete: any

  #### Returns string

### trackThumbsBy

- trackThumbsBy(index: number, item: any): number

- - Defined in src/slider/slider.component.ts:318

  #### Parameters

  - ##### index: number

  - ##### item: any

  #### Returns number

### updateTrackRangeWidth

- updateTrackRangeWidth(): void

- - Defined in src/slider/slider.component.ts:421

  #### Returns void

### writeValue

- writeValue(v: any): void

- - Defined in src/slider/slider.component.ts:339

  #### Parameters

  - ##### v: any

  #### Returns void

Generated using TypeDoc